Subject: Re: [Bitcoin-development] RFC: empty scriptPubKeys and OP_RETURN for marking unspendable txouts

From: Gavin Andresen <[email-masked]>
Date: Tue, 12 Feb 2013 12:42:37 -0500

On Tue, Feb 12, 2013 at 10:11 AM, Peter Todd <[email-masked]> wrote:

> .... Again, thoughts?

First: I really like the fidelity bond concept, and want to see it happen.

RE: OP_RETURN : I've got a knee-jerk opposition to the OP_RETURN opcode,
because it was the cause of the nastiest bug ever Bitcoin history. So I'd
be more comfortable using either OP_FALSE or OP_INVALIDOPCODE for the
"provably unspendable" transaction.

RE: anyone-can-spend transactions:  Thinking aloud... I wonder if we might
inadvertently cause "spend storms" on the network; if suddenly there are 11
BTC sitting in an anybody-can-spend txout, I could imagine EVERYBODY on the
network trying to race each other to spend it (maybe assuming that there
are a few miners on old versions of the software who are too dumb to claim
it for themselves).

-- 
--
Gavin Andresen